Subject: Re: bug#8838: tty-run-terminal-initialization fails

From: Glenn Morris <[email-masked]>
Date: Sat, 11 Jun 2011 18:54:24 -0400

Glenn Morris wrote:

> tty-run-terminal-initialization: Wrong type argument: number-or-marker-p, nil

The error comes from terminal-init-xterm at line 542, where version is nil.

I also noticed a pointless check at line 511:

(when xterm-extra-capabilities

This code is already inside a "(when xterm-extra-capabilities" at line 488.